apiVersion: external-secrets.io/v1
kind: ExternalSecret
metadata:
  name: rancher-bootstrap-password
  namespace: flux-system
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: doppler-hetznerterra
    kind: ClusterSecretStore
  target:
    name: rancher-bootstrap-password
    creationPolicy: Owner
    template:
      type: Opaque
      data:
        bootstrapPassword: "{{ .rancherBootstrapPassword }}"
  data:
    - secretKey: rancherBootstrapPassword
      remoteRef:
        key: RANCHER_BOOTSTRAP_PASSWORD
